.hr-line {
    height: 1px;
    width: 100%;
    border-color: #444444;
}

.pt-16 {
    padding-top: 4rem;
}



.section-hero {
    height: auto;
    align-items: start;
    padding-top: 8rem;
}

.italic {
    font-style: italic;
}

.text-sm {
    font-size: 0.875rem;
    line-height: 1.25rem;
}

#call {
    cursor: pointer;
    width: 50px;
    padding: 0 10px;
    text-align: center;
    user-select: none;
}

#message-box {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: #000000c9;
    z-index: 100;
    --button-width: 400px;
    --button-height: 200px;
}

.message-box--container {

    position: absolute;
    top: calc(50vh - var(--button-height) / 2);
    left: max(calc(50vw - var(--button-width) / 2), 10px);
    border: 1px solid rgb(255 255 255 / 0.2);
    border-radius: 50px;
    width: min(var(--button-width), calc(100vw - 20px));
    height: var(--button-height);
    padding: 20px;
    background-color: #121414;
}
.message-box--button-container{
    position: absolute;
    bottom: 30px;
    width: calc(100% - 40px);
}
.message-box--button-button {
    background-color: white;
    border-radius: 10px;
    width: 120px;
    display: block;
    padding: 10px 30px;
    margin: 0 auto;
    color: black;
}
.message-box--title {
    text-align: center;
    color: white;
}
.message-box--message {
    margin-top: 20px;
    text-align: center;
    color: white;
}


#message-box.hidden {
    display: none
}
#message-box.visible {
    display: block;
}


@media (min-width: 1024px) {
    .desktop-only--flex {
        display: flex;
    }
    .mobile-only--flex {
        display: none;
    }

    .desktop-only {
        display: block;
    }
    .mobile-only {
        display: none;
    }
}

@media (max-width: 1024px) {
    .desktop-only--flex {
        display: none;
    }
    .mobile-only--flex {
        display: flex;
    }
    .px-margin-mobile {
        padding-left: 24px;
        padding-right: 24px;
    }
    .items-center {
        align-items: center;
    }
    .h-16 {
        height: 4rem;
    }
    .section-hero {
        padding-top: 4rem;
    }
    .md\:text-display-lg {
        font-size: 32px;
        line-height: 1.5;
        letter-spacing: normal;
        font-weight: 700;
    }
    #menu {
        position: fixed;
        top: 4rem;
        left: 0;
        width: 100vw;
        height: calc(100vh - 4rem);
    }
    #menu ul {
        height: calc(100vh - 4rem);
        background-color: #d0d7de;
        display: flex;
        flex-direction: column;
    }
    #menu ul li {
        display: flex;
        padding: 10px 2rem;
    }
    #menu ul li span {
        display: inline-block;
        width: 20px;
        height: inherit;
        line-height: 24px;
        margin-right: 10px;
    }
    #menu ul li a {
        display: inline-block;
        width: 100%;
    }
}
@media (max-width: 768px) {
    .mb-12 {
        margin-bottom: 2.5rem;
    }
    .section-hero--list {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
    .section-hero--list p {
        font-size: 1.25rem;
        line-height: 1.75rem;
        font-weight: 700;
    }
    .section-hero--list p.font-caption {
        font-size: 16px;
        line-height: 24px;
    }
    button#request-middle {
        width: 100%;
    }
    section.section-object {
        padding: 80px 24px;
        margin: 0;
    }

    .section-object h2 {
        margin-bottom: 24px;
        font-size: 28px;
        line-height: 42px;
        letter-spacing: normal;
        font-weight: 800;
    }
    .section-object .md\:grid-cols-12 {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
    div.section-object--image-description {
        position:static;
        width: 100%;
        max-width: unset;
        margin: 16px 0 0;
        padding: 20px;
        border: none;
        --tw-bg-opacity: 1;
        background-color: rgb(238 238 238 / var(--tw-bg-opacity, 1));
    }
    .section-object--image-description p {
        font-size: 0.875rem;
        line-height: 1.25rem;
    }
    .section-object--sizing {
        border: none;
        padding: 0;
    }
    .section-object--size {
        font-size: 32px;
        line-height: 1;
        letter-spacing: normal;
    }
    .section-object--size-description {
        font-size: 0.875rem;
        line-height: 1.25rem;
    }
    div.section-object--details.grid.grid-cols-1.gap-8 {
        margin-top: 32px;
    }
    .section-object--details div span {
        font-size: 24px;
        width: 24px;
        flex-shrink: 0;
    }
    .section-object--details p.text-primary {
        font-size: 0.875rem;
        line-height: 1.25rem;
    }
    .section-object--details p.text-secondary {
        font-size: 0.875rem;
        line-height: 1.25rem;
    }
    .section-object--post-description {
        font-size: 0.875rem;
        line-height: 1.25rem;
        margin: 32px 0 0;
        padding: 16px 0 0;
    }

    .section-investment {
        padding: 80px 24px;
    }
    .section-investment h2 {
        font-size: 28px;
        line-height: 42px;
        letter-spacing: normal;
        font-weight: 800;
    }
    .section-investment .grid, .section-investment--digits .flex {
        display: block;
    }
    .section-investment .flex span {
        display: block;
    }
    .section-investment .flex span.font-headline-lg {
        font-size: 1.5rem;
        line-height: 2rem;
        letter-spacing: normal;
        font-weight: 700;
    }
    .desktop-only {
        display: none;
    }
    .mobile-only {
        display: block;
    }
    .section-investment h3 {
        font-size: 10px;
        line-height: 15px;
        letter-spacing: 0.05em;
        font-weight: 400;
    }
    .section-investment--graph {
        margin: 0 0 32px;
        padding: 24px;
    }
    .section-investment--graph .h-48{
        height: 8rem;
    }
    .section-investment--percent {
        font-size: 0.875rem;
        line-height: 1.25rem;
        letter-spacing: normal;
        font-weight: 700;
    }
    .section-investment--years span{
        font-size: 10px;
        line-height: 15px;
        letter-spacing: normal;
        font-weight: 400;
    }
    span.m-icon--14 {
        max-width: 14px;
        font-size: 0.875rem;
        line-height: 1.25rem;
    }
    .section-investment--legend div p {
        font-size: 0.875rem;
        line-height: 1.25rem;
    }
    .section-technical-specs {
        padding: 80px 24px;
    }
    .section-technical-specs h2 {
        margin-bottom: 40px;
        font-size: 28px;
        line-height: 42px;
        letter-spacing: normal;
        font-weight: 800;
    }
    .section-technical-specs div.grid {
        display: block;
    }

    .section-technical-specs .grid > :not([hidden]) ~ :not([hidden]) {
        --tw-space-y-reverse: 0;
        margin-top: calc(3rem * calc(1 - var(--tw-space-y-reverse)));
        margin-bottom: calc(3rem * var(--tw-space-y-reverse));
    }

    .section-technical-specs p.font-caption {
        font-size: 12px;
        line-height: 18px;
        letter-spacing: .1em;
        font-weight: 400;
        --tw-text-opacity: 1;
        color: rgb(0 0 0 / var(--tw-text-opacity, 1));
        padding-left: 0.75rem;
        border-left-width: 2px;
        --tw-border-opacity: 1;
        border-color: rgb(0 0 0 / var(--tw-border-opacity, 1));
        margin-bottom: 16px;
    }

    .section-technical-specs .flex .text-secondary {
        font-size: 14px;
        line-height: 20px;
        letter-spacing: normal;
        font-weight: 400;
    }
    .section-technical-specs .flex .font-bold {
        font-size: 14px;
        line-height: 20px;
        letter-spacing: normal;
        font-weight: 700;
    }
    .section-technical-specs .flex.border-outline-variant {
        border-color: #e5e7eb;
        padding: 12px 0;
        margin-top: 0;

    }
    .section-technical-specs .flex.border-outline-variant:last-child {
        border-width: 0;
    }
    .section-location--container .glass-dark{
        max-width: unset;
        width: 100%;
        padding: 32px;
    }
    .section-location--container h2 {
        font-size: 28px;
        line-height: 42px;
        letter-spacing: normal;
        font-weight: 800;
    }

    .section-gallery {
        padding: 80px 24px;
    }
    .section-gallery h2 {
        margin-bottom: 40px;
        font-size: 28px;
        line-height: 42px;
        letter-spacing: normal;
        font-weight: 800;
    }

    .section-gallery .object-cover {
        aspect-ratio: 1 / 1;
        height: auto;
        border-radius: 0.125rem;
    }

    .section-why-now {
        padding: 80px 24px;
        --tw-bg-opacity: 1;
        background-color: rgb(238 238 238 / var(--tw-bg-opacity, 1));
    }
    .section-why-now h2 {
        font-size: 28px;
        line-height: 42px;
        letter-spacing: normal;
        font-weight: 800;
        margin-bottom: 40px;
    }
    .section-why-now > .max-w-container-max {
        padding: 0;

    }

    .section-why-now .grid {
        display: block;
    }

    .section-why-now .space-y-6 p.font-headline-lg {
        font-size: 2.25rem;
        line-height: 1;
        letter-spacing: normal;
        font-weight: 900;
        color: rgb(0 0 0 / 0.1);
    }

    .section-why-now .space-y-6 h3.font-headline-lg {
        font-size: 1.125rem;
        line-height: 1.75rem;
        letter-spacing: normal;
        font-weight: 800;
        margin-top: 16px;
    }

    .section-why-now .space-y-6 p.font-body-md {
        font-size: 0.875rem;
        line-height: 1.25rem;
        letter-spacing: normal;
        font-weight: 400;
        margin-top: 16px;
    }

    .section-why-now .grid .space-y-6 {
        margin-top: 40px;
    }
    .section-why-now .space-y-6:first-child {
        margin-top: 0;
    }

    .section-contacts {
        padding: 80px 24px;
    }

    .section-contacts > div {
        margin: 0;
    }

    .section-contacts h2 {
        font-size: 28px;
        line-height: 42px;
        letter-spacing: normal;
        font-weight: 800;
        margin: 0 0 16px;

    }

    .section-contacts > div > p {
        font-size: 0.875rem;
        line-height: 1.25rem;
        letter-spacing: normal;
        font-weight: 400;
        margin-bottom: 40px;
    }

    .section-contacts form {
        display: block;
    }

    .section-contacts label {
        font-size: 10px;
        line-height: 15px;
        letter-spacing: .05em;
        font-weight: 400;
        text-transform: uppercase;
    }

    .section-contacts input {
        padding: 12px;
        margin-top: 6px;
    }
    .section-contacts form .space-y-2 {
        margin-top: 24px;
    }
    .section-contacts form .space-y-2:first-child {
        margin-top: 0;
    }

    .section-contacts form .w-5 {
        width: 1rem;
        padding: 0;
    }
    .section-contacts form .h-5 {
        height: 1rem;
    }

    .section-contacts form .flex label {
        font-size: 11px;
        line-height: 1.375;
        letter-spacing: normal;
        font-weight: 400;
        text-transform: initial;
    }

    .section-contacts form .flex input {
        margin-top: 0;
    }

    .section-contacts form .space-y-2 > :not([hidden]) ~ :not([hidden]) {
        --tw-space-y-reverse: 0;
        margin-top: calc(0.75rem * calc(1 - var(--tw-space-y-reverse)));
        margin-bottom: calc(0.75rem * var(--tw-space-y-reverse));
    }
    .section-contacts form .md\:col-span-2:last-child {
        margin-top: 24px;
    }
    .section-contacts form button {
        font-size: 12px;
        line-height: 18px;
        letter-spacing: 0.1em;
        font-weight: 700;
    }

    footer {
        padding: 40px 24px;
        border-color: rgb(255 255 255 / 0.1);
        border-top-width: 1px;
    }

    footer > div.flex {
        padding: 0;
        border: none;
    }

    footer ul li {
        font-size: 11px;
        line-height: 16.5px;
        letter-spacing: .55px;
        font-weight: 400;
        text-transform: uppercase;
        color: rgb(255 255 255 / 0.5);
    }

    footer .font-caption {
        font-size: 10px;
        line-height: 15px;
        letter-spacing: normal;
        font-weight: 400;
        color: rgb(255 255 255 / 0.3);
    }


}